/**
 * @desc 安全验证
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 密码 */
    password: string
}

export const init = new defs.ResultString()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/auth/safe',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
